#!/bin/bash

# Bash GUI Hello world

# A helper function
SetLabelText()
{
	dcop $DIALOGID KommanderIf setText OutputLabel "$1"
}

# Message handler for the "Say Hello..." Button
Button1()
{
	LOCAL1=$1
	
	SetLabelText "Hello, World!, LOCAL1=$LOCAL1"
	
	xterm -e 'sudo yum install '"$LOCAL1"
}

# Use this as the main entry point
if [ -z "$DIALOGID" ]
then
    if [ "$1" == "--GUI" ]
    then
    	kmdr-executor CommandRun.kmdr
    else
        if [ $# -lt 1 ]
        then
            echo "USE: $0 <parameter>"
            echo "or run GUI by:"
            echo "$0 --GUI"
            exit
        fi
    
        Button1 $1
    fi
fi
